Bug 8744 - Errors during startup
Errors during startup
Product: Red Hat Linux
Classification: Retired
Component: gnome-core (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Owen Taylor
Depends On:
  Show dependency treegraph
Reported: 2000-01-22 06:42 EST by Tim Waugh
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-02-03 16:02:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Tim Waugh 2000-01-22 06:42:12 EST
GNOME workstation installation.
Log in as root.  On my 486 with 32Mb I get a dialog box:

 No response to the SaveYourself command."

Cancel it. Log out.
.xsession-errors contains:

Xlib: connection to ":0.0" refused by server
Xlib: Client is not authorized to connect to Server
xscreensaver: Can't open display: :0
xscreensaver: initial effective uid/gid was root/root (0/0)
xscreensaver: running as nobody/nobody (99/99)

xscreensaver: Errors at startup are usually authorization problems.
              Did you read the manual and the FAQ?  Specifically,
              the parts of the manual that talk about XAUTH, XDM,
              and root logins?


rm: cannot remove `/root/.gnome//gmc-v2LrCF': No such file or directory
subshell.c: couldn't get terminal settings: Inappropriate ioctl for device

GnomeUI-WARNING **: Could not open help topics file NULL
Comment 1 Owen Taylor 2000-02-03 16:02:59 EST
The second part of the .xsession-errors is simply Xscreensaver
not working as root. See the URL if you want more information
about the issue.



For more information about the warning dialog and a possible workaround.
(The answer is basically "your machine is too slow to run GNOME"
:-(. It's hard to fix this without adversly impacting the user
experience for users on faster machines.

I am changing this delay from 10 seconds by default to 15 seconds
in our packages. Hopefully this will ameliorate the problem.

Note You need to log in before you can comment on or make changes to this bug.